Redmine 1.1.0のインストール時にMissing the i18n 0.4.2 gem

Redmine1.1.0をCentOS5.5.にインストールした際にちょっと躓いたのでメモ。
Redmine 1.0をCentOSにインストールする手順は同じくCentOS5.5へのインストールドキュメントだったので、一つの問題を除いてこのままうまくいった。

その問題とは # rake db:migrate RAILS_ENV=production を実行すると次のエラーが出力されるというものだ。

Missing the i18n 0.4.2 gem. Please gem install -v=0.4.2 i18n

ネットを検索すると同じようなエラーが出ている人がいたが、その解決方法ではどれも解決しなかった。

で、どうやれば解決したかというと、.bashrcに次の一行を追加した。

export GEM_PATH=/usr/lib/ruby/gems/1.8/gems/

で、解決。

でもGEM_PATH設定しなくてもgem listやputs Gem.latest_load_paths()してちゃんとi18nが見えているのは確認したんだけどなぁ。

No Comments

Post a Comment

コメントを投稿するには、下の計算の答えを入力する必要があります。答えは半角数字で入力してください。 * Time limit is exhausted. Please reload the CAPTCHA.